language: cn
model_unique_abbr: data_join_test
version: 1.0
identification:
  docker_image_name: r-spatialreg:1.0
  docker_run_prefix:
  - /scripts/join.r
  model_name: 数据连接_test
  semantic: exploratory data analysis
  description: 将输入矢量与目标数据按照相对应的字段进行一对一连接。
  category_application: 描述型
  category_data:
  - 矢量点
  - 矢量面
  keywords:
  - 连接
parameter_info:
  parameters:
  - arg_name: d
    param_type: input_data
    name: 输入矢量数据
    description: 用来计算的矢量数据
    data_type: shp
    data_semantic: vector space data
  - arg_name: t
    param_type: input_data
    name: 目标数据
    description: 连接的目标数据
    data_type: enum
    data_semantic: vector space data
    specification:
      default: csv
      enum:
      - csv
      - shp
  - arg_name: i
    param_type: param
    name: 连接字段
    description: 输入数据中用来连接的字段
    data_type: str
    data_semantic: left join property
  - arg_name: j
    param_type: param
    name: 对应字段
    description: 目标数据中连接参考对应的字段
    data_type: str
    data_semantic: join property
  - arg_name: o
    param_type: output_data
    name: 结果数据
    description: 输出连接结果矢量
    data_type: shp
    data_semantic: result spatial data
application:
  domain: 数据连接
  objective: 将输入矢量与目标数据按照相对应的字段进行一对一连接。
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 将输入矢量与目标数据按照相对应的字段进行一对一连接。
operation:
  usage: 模型参数包括必选参数输入数据、目标数据、连接的字段、输出数据。
  exec_example:
  - "docker run -v $PWD:/data r-spatialreg:1.0 /data/scripts/join.r -d /data/data/datap.shp -t /data/data/join.csv -i id -j code -o /data/data/re.shp"
  output_display:
  - 无
  license:
  - GPL-2
  - GPL-3
technique:
  language:
  - R
  - C++
  os:
  - Linux
  - Windows
  parallel:
  - unsupported
  hardware: []
  dependencies: []
source:
  maintainer: Guangyu Ou
  organization: Wuhan University
  contact: g_ruoyu@qq.com
  repository: https://github.com/GWmodel-Lab
  integrated_softwares: []
  references: []
